#ifndef DRAWDATA_H
#define DRAWDATA_H

#include <QPicture>
#include "datafile/dxf/dxfhelper.h"
#include "datafile/hpgl/importhpgl.h"
#include "machine/printinfo/mcfiles.h"

#define TYPE_FILE 0
#define TYPE_IMAGE 1

QPicture creatPictureByData(Marker marker, QPainterPath &painterPath,int penWidth = 1);
QPicture creatPictureByBmp(QPixmap pixmap,int penWidth = 1);
void creatMarkerDat(McFilesInfo &curFilesInfo, QString printDir, QString filePath, int fileIdx = -1, double angle = 0);//创建Marker数据

#endif // DRAWDATA_H
